Permalink
Browse files

lets not hard require bundler for running the tests, although it is p…

…referred
  • Loading branch information...
1 parent 395bd31 commit 0c5bc1217d97d1954e3f7f4fa84afbf82a28acaa @joshk joshk committed Apr 14, 2011
Showing with 7 additions and 5 deletions.
  1. +7 −5 Rakefile
View
@@ -1,12 +1,14 @@
require 'rubygems'
-require 'bundler'
-
-Bundler::GemHelper.install_tasks
+begin
+ require 'bundler'
+ Bundler::GemHelper.install_tasks
+rescue LoadError => e
+ puts "although not required, it's recommended that you use bundler during development"
+end
require 'rspec/core/rake_task'
desc "Run all examples"
-RSpec::Core::RakeTask.new(:spec) do |t|
-end
+RSpec::Core::RakeTask.new(:spec)
task :cleanup_rcov_files do
rm_rf 'coverage.data'

0 comments on commit 0c5bc12

Please sign in to comment.